Summary:	Icon theme for MATE Desktop
Summary(pl.UTF-8):	Motyw ikon dla środowiska MATE Desktop
Name:		mate-icon-theme
Version:	1.8.0
Release:	1
License:	LGPL v3 or CC-BY-SA v3.0
Group:		Themes
Source0:	http://pub.mate-desktop.org/releases/1.8/%{name}-%{version}.tar.xz
# Source0-md5:	04d3bdcbf20195436ba25b6c70b144aa
URL:		http://wiki.mate-desktop.org/mate-icon-theme
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.9
BuildRequires:	icon-naming-utils >= 0.8.7
BuildRequires:	intltool >= 0.40.0
BuildRequires:	mate-common
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	gtk-update-icon-cache
Obsoletes:	mate-icon-theme-legacy < 1.5.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Icon theme for MATE Desktop.

%description -l pl.UTF-8
Motyw ikon dla środowiska MATE Desktop.

%package menta
Summary:	Menta Icon theme for MATE Desktop
Summary(pl.UTF-8):	Motyw ikon Menta dla środowiska MATE Desktop
Group:		Themes
Requires:	%{name} = %{version}-%{release}
Provides:	make-icon-theme-menta = 1.6.0-2
Obsoletes:	make-icon-theme-menta

%description menta
Menta Icon theme for MATE Desktop.

%description menta -l pl.UTF-8
Motyw ikon Menta dla środowiska MATE Desktop.

%package devel
Summary:	Development files for mate-icon-theme
Summary(pl.UTF-8):	Pliki programistyczne mate-icon-theme
Group:		Development

%description devel
Development files for mate-icon-theme.

%description devel -l pl.UTF-8
Pliki programistyczne mate-icon-theme.


%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-icon-mapping
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	install_sh="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/icons/mate/scalable/{actions,apps,status}
> $RPM_BUILD_ROOT%{_iconsdir}/mate/icon-theme.cache
> $RPM_BUILD_ROOT%{_iconsdir}/menta/icon-theme.cache

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache mate

%postun
%update_icon_cache mate

%post menta
%update_icon_cache menta

%postun menta
%update_icon_cache menta

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README TODO
%dir %{_iconsdir}/mate
%{_iconsdir}/mate/index.theme
%{_iconsdir}/mate/[0-9]*x[0-9]*
%{_iconsdir}/mate/scalable
%ghost %{_iconsdir}/mate/icon-theme.cache

%files menta
%defattr(644,root,root,755)
%dir %{_iconsdir}/menta
%{_iconsdir}/menta/index.theme
%{_iconsdir}/menta/[0-9]*x[0-9]*
%ghost %{_iconsdir}/menta/icon-theme.cache

%files devel
%defattr(644,root,root,755)
%{_npkgconfigdir}/mate-icon-theme.pc
%changelog
* Mon Mar 10 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-icon-theme.git;a=log;h=master

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> f3e6a9e
- up to 1.8.0
- run autotools
- BR: pkgconfig

* Wed Jan 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 2ed62b3
- updated to 1.6.3

* Sat Dec 14 2013 Elan Ruusamäe <glen@delfi.ee> 818b4dc
- release 3 (by relup.sh)

* Sat Dec 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 2aa247d
- pl, fixed License, more docs

* Thu Sep 26 2013 Elan Ruusamäe <glen@delfi.ee> 7d43f92
- handle upgrade of misspelled package

* Tue Sep 03 2013 Jan Palus <jan.palus@gmail.com> 40b1041
- up to 1.6.2

* Tue Jun 25 2013 Elan Ruusamäe <glen@delfi.ee> f0ebd65
- up to 1.6.1

* Thu Apr 04 2013 Elan Ruusamäe <glen@delfi.ee> a86ba47
- up to 1.6.0

* Mon Mar 25 2013 Elan Ruusamäe <glen@delfi.ee> b922364
- make-icon-theme-menta Inherits=MATE

* Mon Mar 25 2013 Elan Ruusamäe <glen@delfi.ee> 15b244e
- up to 1.5.1; add Menta Icon theme

* Tue Jan 15 2013 Elan Ruusamäe <glen@delfi.ee> 5660313
- package scalable/{actions,apps} for mate-settings-daemon

* Tue Jan 15 2013 Elan Ruusamäe <glen@delfi.ee> a93969c
- package icons/mate/scalable/status for libmateweather

* Tue Jan 15 2013 Elan Ruusamäe <glen@delfi.ee> 55ff005
- update deps; more specific url

* Mon Dec 24 2012 Elan Ruusamäe <glen@delfi.ee> e4f18df
- cleanup --disable-static

* Mon Dec 24 2012 Elan Ruusamäe <glen@delfi.ee> 4383cfc
- package icon-theme.cache

* Sat Dec 22 2012 Elan Ruusamäe <glen@delfi.ee> 9c92f1d
- run autogen in build section

* Sat Dec 22 2012 Elan Ruusamäe <glen@delfi.ee> 37bdd5e
- preserve timestamps

* Sat Dec 22 2012 Elan Ruusamäe <glen@delfi.ee> d2e76c1
- omit self provides

* Sat Dec 22 2012 Elan Ruusamäe <glen@delfi.ee> 331c7b3
- icon-naming-utils version

* Fri Dec 21 2012 Elan Ruusamäe <glen@delfi.ee> d79606c
- new, version 1.5.0

